# https://github.com/mattn/go-runewidth
%global goipath         github.com/mattn/go-runewidth
Version:                0.0.14

%gometa

%global godevelheader %{expand:            
Obsoletes:      golang-github-mattn-go-runewidth-devel < 0.0.9
}

%global common_description %{expand:
Package go-runewidth provides functions to get fixed width of a character or
string.}

%global golicenses      LICENSE
%global godocs          README.mkd

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        %mkrel 1
Summary:        Functions for getting fixed width of the character or string
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildRequires:  golang(github.com/rivo/uniseg) >= 0.2

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles


%changelog
* Mon Nov 28 2022 guillomovitch <guillomovitch> 0.0.14-1.mga9
+ Revision: 1912293
- new version 0.0.14

* Sun Apr 10 2022 guillomovitch <guillomovitch> 0.0.13-1.mga9
+ Revision: 1848595
- new version 0.0.13

* Mon Mar 21 2022 umeabot <umeabot> 0.0.12-2.mga9
+ Revision: 1814342
- Mageia 9 Mass Rebuild

* Sun Apr 18 2021 guillomovitch <guillomovitch> 0.0.12-1.mga9
+ Revision: 1716544
- new version 0.0.12

* Thu Feb 25 2021 guillomovitch <guillomovitch> 0.0.10-1.mga9
+ Revision: 1690511
- new version 0.0.10

* Thu Sep 03 2020 guillomovitch <guillomovitch> 0.0.9-1.mga8
+ Revision: 1621433
- renamed to golang-github-mattn-runewidth
- new version 0.0.9
- renamed to golang-github-mattn-runewidth

* Mon Nov 26 2018 pterjan <pterjan> 0.0.3-1.mga7
+ Revision: 1335683
- imported package golang-github-mattn-go-runewidth

